package br.exemplohaptico;

import android.app.Activity;
import android.content.Context;
import android.os.Bundle;
import android.os.Vibrator;
import android.view.HapticFeedbackConstants;
import android.view.MotionEvent;
import android.view.View;
import android.view.View.OnTouchListener;
import android.view.inputmethod.InputMethodManager;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;

public class MainActivity extends Activity {
	private EditText et1;
	private EditText et2;
	private EditText et3;
	private Button bt;
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		
		et1 = (EditText) findViewById(R.id.editText1);
		et2 = (EditText) findViewById(R.id.editText2);
		et3 = (EditText) findViewById(R.id.editText3);
		bt = (Button) findViewById(R.id.button1);
		bt.setOnClickListener(new Button.OnClickListener(){
			@Override
			public void onClick(View view) {
				// cdigo de processamento
				Toast.makeText(MainActivity.this, "Resposta servidor", Toast.LENGTH_LONG).show();
				Vibrator v = (Vibrator) getSystemService(Context.VIBRATOR_SERVICE);
				v.vibrate(100);
			}
		});
		
		// PERSONALIZADO
			et1.setOnTouchListener(new HapticoPersonalizado());
			et2.setOnTouchListener(new HapticoPersonalizado());
			et2.setOnTouchListener(new HapticoPersonalizado());
		
		// CUSTOMIZADO
			/*et1.setOnTouchListener(new HapticoNativo());
			et2.setOnTouchListener(new HapticoNativo());
			et2.setOnTouchListener(new HapticoNativo());*/
	}
	
	
	public class HapticoPersonalizado implements OnTouchListener{
		@Override
		public boolean onTouch(View view, MotionEvent event) {
			
			Vibrator v = (Vibrator) getSystemService(Context.VIBRATOR_SERVICE);
			v.vibrate(100);
			
			view.requestFocus();
			InputMethodManager imm = (InputMethodManager) getSystemService(Context.INPUT_METHOD_SERVICE);
			imm.showSoftInput(view, 0);
			
			return(true);
		}
	}
	
	
	public class HapticoNativo implements OnTouchListener{
		@Override
		public boolean onTouch(View view, MotionEvent event) {
			
			view.performHapticFeedback(HapticFeedbackConstants.KEYBOARD_TAP);
			
			view.requestFocus();
			InputMethodManager imm = (InputMethodManager) getSystemService(Context.INPUT_METHOD_SERVICE);
			imm.showSoftInput(view, 0);
			
			return(true);
		}
	}
}
